aboutsummaryrefslogtreecommitdiffstats
path: root/macros
diff options
context:
space:
mode:
Diffstat (limited to 'macros')
-rw-r--r--macros/ChangeLog5
-rw-r--r--macros/autogen.sh32
2 files changed, 35 insertions, 2 deletions
diff --git a/macros/ChangeLog b/macros/ChangeLog
index 758a71d345..10714eaf0a 100644
--- a/macros/ChangeLog
+++ b/macros/ChangeLog
@@ -1,3 +1,8 @@
+1998-12-01 Changwoo Ryu <cwryu@adam.kaist.ac.kr>
+
+ * autogen.sh: Run gettextize if needed.
+ : Run libtoolize only if configure.in has "^AM_PROG_LIBTOOL".
+
1998-11-30 Jeff Garzik <jgarzik@pobox.com>
* gnome.m4: Re-arranged tests such that "--without-gnome" is
diff --git a/macros/autogen.sh b/macros/autogen.sh
index f99299b0a0..2e9390e320 100644
--- a/macros/autogen.sh
+++ b/macros/autogen.sh
@@ -11,6 +11,7 @@ DIE=0
DIE=1
}
+(grep -q "^AM_PROG_LIBTOOL" configure.in) && {
(libtool --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "**Error**: You must have "\`libtool\'" installed to compile Gnome."
@@ -18,6 +19,18 @@ DIE=0
echo "(or a newer version if it is available)"
DIE=1
}
+}
+
+grep -q "^AM_GNU_GETTEXT" configure.in && {
+grep -q "sed.*POTFILES" configure.in || \
+(gettext --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "**Error**: You must have "\`gettext\'" installed to compile Gnome."
+ echo "Get ftp://alpha.gnu.org/gnu/gettext-0.10.35.tar.gz"
+ echo "(or a newer version if it is available)"
+ DIE=1
+}
+}
(automake --version) < /dev/null > /dev/null 2>&1 || {
echo
@@ -71,9 +84,24 @@ do
if test -d $k; then aclocalinclude="$aclocalinclude -I $k"; \
else echo "**Warning**: No such directory \`$k'. Ignored."; fi; \
done; \
- libtoolize --copy --force; \
+ if grep -q "^AM_GNU_GETTEXT" configure.in; then \
+ if grep -q "sed.*POTFILES" configure.in; then \
+ : do nothing -- we still have an old unmodified configure.in
+ else
+ echo "Running gettextize... Ignore non-fatal messages."; \
+ echo "no" | gettextize --force; \
+ fi \
+ fi; \
+ if grep -q "^AM_PROG_LIBTOOL" configure.in; then \
+ echo "Running libtoolize..."; \
+ libtoolize --force; \
+ fi
aclocal $aclocalinclude; \
- autoheader; automake --add-missing --gnu $am_opt; autoheader; autoconf)
+ if grep -q "^AM_CONFIG_HEADER" configure.in; then \
+ echo "Running autoheader..."; \
+ autoheader; \
+ fi
+ automake --add-missing --gnu $am_opt; autoconf)
fi
done
graph'>* python failCJentzsch2015-03-141-0/+71 * random failuresCJentzsch2015-03-144-0/+284 * add test for callcode to 0CJentzsch2015-03-141-66/+55 * new python failuresCJentzsch2015-03-145-0/+356 * remove empty testsCJentzsch2015-03-143-3/+0 * uncle older than 6 generation testCJentzsch2015-03-141-641/+590 * some random failuresCJentzsch2015-03-147-0/+287 * update gas limits + uncle generation testCJentzsch2015-03-148-422/+2990 * cppjit failureCJentzsch2015-03-141-0/+71 * more random failuresCJentzsch2015-03-145-0/+356 * add calldataload big offset testCJentzsch2015-03-131-0/+44 * remove seedhash and update blockchain testsCJentzsch2015-03-134-394/+340 * add addmod test in order toc check that nothing get downcasted inbetweenCJentzsch2015-03-131-0/+45 * a failing testCJentzsch2015-03-131-0/+72 * Merge remote-tracking branch 'origin/develop' into developCJentzsch2015-03-131-1/+1 |\ | * fix missing commaethers2015-03-131-1/+1 * | more failing testsCJentzsch2015-03-1344-0/+3169 |/ * Merge remote-tracking branch 'origin/develop' into developCJentzsch2015-03-131-3/+11 |\ | * Merge pull request #75 from romanman/developChristoph Jentzsch2015-03-131-3/+11 | |\ | | * Update crypto.jsonRoman Mandeleil2015-03-131-2/+2 | | * Introduce ECIES crypto testRoman Mandeleil2015-03-131-3/+11 | |/ * / random failsCJentzsch2015-03-133-0/+216 |/ * random failsCJentzsch2015-03-139-0/+645 * random failsCJentzsch2015-03-135-0/+358 * go failureCJentzsch2015-03-131-0/+71 * random state tests failuresCJentzsch2015-03-138-0/+563 * dejavu issuesCJentzsch2015-03-133-3/+214 * python failCJentzsch2015-03-121-0/+31 * python fails - may be just wrong return valueCJentzsch2015-03-124-0/+124 * update test script for pythonCJentzsch2015-03-121-1/+2 * add failing python testCJentzsch2015-03-121-0/+46 * OOG or 1024 depth level failCJentzsch2015-03-111-0/+234 * run OOG at tx level with to high value for callCJentzsch2015-03-111-0/+152 * run OOG and too high value for call/callcodeCJentzsch2015-03-111-7/+7 * run OOG and too high value for call/callcodeCJentzsch2015-03-111-10/+10 * add callCreateCallCode test fileCJentzsch2015-03-111-0/+292 * check value when doing callcodeCJentzsch2015-03-111-7/+85 * suicide and storage refund tests with and without storageCJentzsch2015-03-111-1/+73 * suicide and storage refund testsCJentzsch2015-03-111-75/+302 * python failsCJentzsch2015-03-118-0/+308 * python callcode failCJentzsch2015-03-111-0/+46 * python big memory failCJentzsch2015-03-111-0/+46 * add memory stress test using returnCJentzsch2015-03-111-0/+187 * renamingCJentzsch2015-03-093-0/+0 * vm input limit testsCJentzsch2015-03-09